MEMCPY(3)

NAME
memcpy - copy memory area

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memcpy(void *restrict dst, const void *restrict src, size_t n);

DESCRIPTION
The memcpy() function copies n bytes from memory area src to memory area dst. If dst and src overlap, behavior is undefined. Applications in which dst and src might overlap should use memmove(3) instead.

RETURN VALUES
The memcpy() function returns the original value of dst.

SEE ALSO
bcopy(3), memccpy(3), memmove(3), strcpy(3), wmemcpy(3)

STANDARDS
The memcpy() function conforms to isoC.